Bug 1480994 - SELinux is preventing upsmon from using the 'dac_read_search' capabilities.
SELinux is preventing upsmon from using the 'dac_read_search' capabilities.
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:74557bc2749d91c2c23c0c0befc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-13 07:56 EDT by Juan Orti
Modified: 2017-08-14 14:58 EDT (History)
8 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-260.4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Orti 2017-08-13 07:56:16 EDT
Description of problem:
SELinux is preventing upsmon from using the 'dac_read_search' capabilities.

*****  Plugin dac_override (91.4 confidence) suggests   **********************

If quiere ayudar a comprobar si el dominio necesita este acceso o si tiene un archivo con permisos erróneos en el sistema
Then activa auditoría completa para obtener información de la ruta relacionada con el archivo conflictivo, y generar el error nuevamente.
Do

Active auditoría completa
# auditctl -w /etc/shadow -p w
Intente recrear el AVC. Luego ejecute
# ausearch -m avc -ts recent
Si observa un registro PATH verifique permisos y pertenencia del archivo, y soluciónelo,
de lo contrario, repórtelo en bugzilla.

*****  Plugin catchall (9.59 confidence) suggests   **************************

If cree que upsmon debería tener la capacidad dac_read_search de forma predeterminada.
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
allow this access for now by executing:
# ausearch -c 'upsmon' --raw | audit2allow -M my-upsmon
# semodule -X 300 -i my-upsmon.pp

Additional Information:
Source Context                system_u:system_r:nut_upsmon_t:s0
Target Context                system_u:system_r:nut_upsmon_t:s0
Target Objects                Unknown [ capability ]
Source                        upsmon
Source Path                   upsmon
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-260.3.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.12.3-301.fc26.x86_64 #1 SMP Tue
                              Jul 25 10:05:02 UTC 2017 x86_64 x86_64
Alert Count                   30
First Seen                    2017-07-26 17:19:16 CEST
Last Seen                     2017-08-13 13:01:57 CEST
Local ID                      fbcbc94c-ec13-45fa-8ee2-72b3ff7389d3

Raw Audit Messages
type=AVC msg=audit(1502622117.706:329): avc:  denied  { dac_read_search } for  pid=2024 comm="upsmon" capability=2  scontext=system_u:system_r:nut_upsmon_t:s0 tcontext=system_u:system_r:nut_upsmon_t:s0 tclass=capability permissive=0


Hash: upsmon,nut_upsmon_t,nut_upsmon_t,capability,dac_read_search

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.3-301.fc26.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.